## goobox 3.4.1

=== debian/changelog ===
goobox (3.4.1-5) unstable; urgency=medium

  * Correct versioned dependency on debhelper. 
  * Correct a spelling error found by lintian.

 -- Helge Kreutzmann <debian@helgefjell.de>  Tue, 09 Feb 2016 18:15:35 +0100

goobox (3.4.1-4) unstable; urgency=medium

  * Looked at open lintian issues:
    * Update debian/watch for version 3.4 of goobox.
    * Update debhelper compatibility level to 9.
    * Add descriptions for the patches in the package.
    * Correct debian/copyright
       * Remove a superfluous license.
       * Move one entry down, otherwise the more general definition overrides
  	 it
       * Correct a broken link syntax (found while fixing the others)
    * Add keywords to the desktop file 
  * po/lt.po updated from upstream git.
  * Upgrade to policy 3.9.5, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 08 Feb 2016 18:40:28 +0100

goobox (3.4.1-3) unstable; urgency=medium

  * Re-add versioned build dependency on dpkg-dev as required by policy.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 23 Jan 2016 10:29:26 +0100

goobox (3.4.1-2) unstable; urgency=medium

  * help/sv/sv.po updated from upstream git.
  * Remove versioned build-dependency already satisifed in (old)stable. 

 -- Helge Kreutzmann <debian@helgefjell.de>  Thu, 14 Jan 2016 15:04:16 +0100

goobox (3.4.1-1) unstable; urgency=medium

  * New upstream release, including all previous patches
  * debian/copyright
    - Update for new upstream version
    - Fix incorrectly formatted entries
  * po/pt.po updated from upstream git.
  * Recomplete German man page translation.
  * Properly override lintian warning. Goobox does not accept any parameters
    (only options). Next try.

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 09 Oct 2015 18:11:27 +0200

goobox (3.4.0-1) unstable; urgency=medium

  * Correct version number (3.3.4 → 3.4.0)
  * po/de.po updated from upstream git. 
  * Update man page to match current reality
  * Update German man page translation including fixing long standing errors
  * Fix command line parsing (Patch taken from upstream git)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 19 Sep 2015 14:57:27 +0200

goobox (3.3.4-2) unstable; urgency=medium

  * po/pl.po updated from upstream git. 
  * No longer install menu file, sigh. (Cf. CTTE #741573)
  * Properly override lintian warning. Goobox does not accept any parameters
    (only options)
  * Recomplete German man page translation.
  * Suggest gstreamer1.0-plugins-ugly to enable (optional) MP3 ripping.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 06 Sep 2015 09:44:09 +0200
