## goobox 3.4.2

=== debian/changelog ===
goobox (3.4.2-8) unstable; urgency=medium

  * Remove dependency on libgconf2-dev. Closes: #894317
  * Switch all referenced URLs (under debian/) to https. 
  * Upgrade to policy 4.1.3, no further changes required.
  * Slight update of help/pl/pl.po from upstream git. 
  * Remove unused assignment for DEB_HOST_ARCH in debian/rules.
  * Correct numerous spelling errors in debian/changelog.

 -- Helge Kreutzmann <debian@helgefjell.de>  Thu, 29 Mar 2018 12:17:59 +0200

goobox (3.4.2-7) unstable; urgency=low

  * Update help/de/de.po from upstream git. 
  * Modernize appstream metadata from upstream git.
  * Update lintian overrides to match previous update. 

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 15 Oct 2017 08:27:46 +0200

goobox (3.4.2-6) unstable; urgency=medium

  * Update help/de/de.po.
  * Remove svn checkout target in debian/rules. Goobox is maintained in git 
    and checkouts haven't been used, both for a long time.
  * Upgrade to policy 4.1.1, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 30 Sep 2017 20:00:10 +0200

goobox (3.4.2-5) unstable; urgency=medium

  * Update help text from upstream git.
  * Update help/cs/cs.po from upstream git.
  * Update help/pl/pl.po from upstream git.
  * Update help/sv/sv.po from upstream.git.
  * Upgrade to policy 4.1.0, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 03 Sep 2017 11:50:10 +0200

goobox (3.4.2-4) unstable; urgency=medium

  * Add po/fur.po from upstream git.
  * Add help/pl/pl.po from upstream git.
  * Switch debian/copyright to https 
  * Upgrade to policy 4.0.0, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 12 Jul 2017 16:41:12 +0200

goobox (3.4.2-3) unstable; urgency=low

  * Tell Lintian that there is no spelling error in debian/copyright
  * Add description to debian/patches/update_da.patch

 -- Helge Kreutzmann <debian@helgefjell.de>  Thu, 12 Jan 2017 11:57:02 +0100

goobox (3.4.2-2) unstable; urgency=medium

  * po/da.po updated from upstream git.
  * Fix a file reference in debian/copyright

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 28 Nov 2016 16:03:23 +0100

goobox (3.4.2-1) unstable; urgency=low

  * New upstream release, including most of the previous patches.

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 19 Oct 2016 18:39:01 +0200

goobox (3.4.1-8) unstable; urgency=medium

  * Pull patches from upstream git: (Closes: #829880)
    * do not use gnome-autogen.sh
    * removed deprecated macros
    * removed obsolete definitions
    * do not merge the translations into the gschema file
    * removed custom definition of localedir
    * fixed application name not translated in about dialog
  * Add descriptions to patch files where missing.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 18 Sep 2016 17:12:21 +0200

goobox (3.4.1-7) unstable; urgency=medium

  * Ack NMU.
    * This reopens 678223. 
    * The patch has been reviewed and ack'ed by upstream in the meantime.
  * Allow for different dbus implementations. Closes: #835890.
  * po/pl.po updated from upstream git.
  * po/fi.po updated from upstream git.
  * Upgrade to policy 3.9.8, no changes required (anymore).

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 11 Sep 2016 09:35:30 +0200

goobox (3.4.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the dependency against gnome-icon-theme-symbolic package, goobox uses
    gtk3 that uses adwaita-icon-theme which is pulled by default (Closes:
    #826250)
  * d/p/0001-Let-s-GTK-automatically-load-rtl-icon-variants.patch: GTK3 should
    now load the RTL version of the icons when needed, this makes the icons
    from the adwaita icons theme display properly in that case.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 05 Jul 2016 17:37:00 +0200

goobox (3.4.1-6) unstable; urgency=medium

  * po/tr.po added from upstream git.
  * Correct changelog entry for 3.4.1-4 about policy update.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 20 Mar 2016 16:18:37 +0100
