=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+#DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 CFLAGS = -Wall -g
  
@@ -32,46 +32,7 @@
 DATE=$(shell date +%Y%m%d)
 TMPDIR=/tmp
 MANDIR=debian/manpage
-SVNNAME=goobox_svn$(DATE)
-SVNBDIR=$(TMPDIR)/$(SVNNAME)
 
-# FIXME: This needs to be converted to the current git repository
-svnupstream-checkout:
-	# Needs: svn 
-
-	# Getting sources
-	cd $(TMPDIR) && \
-        svn co svn://svn.gnome.org/svn/goobox/trunk goobox && \
-        mv goobox $(SVNBDIR)
-
-	# Mark it
-	touch $@
-
-svnupstream: svnupstream-checkout
-	# Needs: autoconf automake libtool
-
-	# Bootstrapping
-	-cd $(SVNBDIR) && \
-        ./autogen.sh && \
-        rm -f config.log config.status
-
-	#cd $(SVNBDIR) && \
-	#libtoolize -c -f && \
-	#aclocal && \
-	#autoconf
-
-	# Removing unused files
-	-find $(SVNBDIR) -name .svn -exec rm -rf "{}" ";"
-	-rm -r $(SVNBDIR)/autom4te.cache/
-	-rm -r $(SVNBDIR)/rm *_bak
-	
-	# Creating tarball
-	cd $(SVNBDIR)/.. && \
-	tar cfz $(SVNNAME).orig.tar.gz $(SVNNAME)
-	mv -i $(SVNBDIR)/../$(SVNNAME).orig.tar.gz ..
-
-	# Remove mark
-	rm svnupstream-checkout
 
 config.status: configure
 	dh_testdir
@@ -161,7 +122,7 @@
 	dh_installdocs
 	dh_install
 	#dh_installmenu
-	dh_gconf
+	#dh_gconf
 	dh_icons
 	dh_link
 	dh_strip
