## goobox 3.4.3

=== debian/changelog ===
goobox (3.4.3-1) unstable; urgency=medium

  * New upstream release, including most of the previous patches.
  * Drop explicitly setting of deb compression (noted by lintian).
  * Upgrade to policy 4.2.1, no further changes required.
  * Add missing entry in previous changelog.

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 19 Oct 2018 12:59:37 +0200

goobox (3.4.2-9) unstable; urgency=medium

  * Integrade logic using dh_autoreconf, so that the package builds with newer
    autotools, and lots of copying, so that the build remains reproducible.
    Closes: #906468.
  * Move "License:" stanza at the end of debian/copyright to please lintian.
  * Include the entire Attribution-ShareAlike 3.0 Unported license from
    https://creativecommons.org/licenses/by-sa/3.0/ (lintian warning).
  * Upgrade to policy 4.2.0, ship NEWS instead of ChangeLog. 
  * Add help/ro/ro.po from upstream git. 
  * Update po/ro.po from upstream git.
  * Add logcheck pattern to filter out standard goobox messages.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 25 Aug 2018 18:31:47 +0200
