=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
     libgtk-3-dev, libcam-dev [kfreebsd-any],
     libmusicbrainz5-dev, libnotify-dev, po4a, libbrasero-media3-dev,
     recode, docbook-xml, libdiscid-dev, libneon27-dev, dpkg-dev (>= 1.16.1),
-    itstool, libxml2-utils, libcoverart-dev
-Standards-Version: 4.1.3
+    itstool, libxml2-utils, libcoverart-dev, dh-autoreconf
+Standards-Version: 4.2.1
 Homepage: https://www.gnome.org/~paobac/goobox/
 
 Package: goobox
