=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,28 @@
 	[ -f config.guess.upstream ] || mv config.guess config.guess.upstream
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	# autoreconf
+	cp -ivp missing missing.backup
+	cp -ivp compile compile.backup
+	cp -ivp install-sh install-sh.backup
+	cp -ivp ltmain.sh ltmain.sh.backup
+	cp -ivp depcomp depcomp.backup
+	cp -ivp Makefile.in Makefile.in.backup
+	cp -ivp aclocal.m4 aclocal.m4.backup
+	cp -ivp configure configure.backup
+	cp -ivp data/Makefile.in data/Makefile.in.backup
+	cp -ivp data/appdata/Makefile.in data/appdata/Makefile.in.backup
+	cp -ivp data/icons/256x256/Makefile.in data/icons/256x256/Makefile.in.backup
+	cp -ivp data/icons/256x256/apps/Makefile.in data/icons/256x256/apps/Makefile.in.backup
+	cp -ivp data/icons/48x48/Makefile.in data/icons/48x48/Makefile.in.backup
+	cp -ivp data/icons/48x48/apps/Makefile.in data/icons/48x48/apps/Makefile.in.backup
+	cp -ivp data/icons/Makefile.in data/icons/Makefile.in.backup
+	cp -ivp data/icons/scalable/Makefile.in data/icons/scalable/Makefile.in.backup
+	cp -ivp data/icons/scalable/apps/Makefile.in data/icons/scalable/apps/Makefile.in.backup
+	cp -ivp help/Makefile.in help/Makefile.in.backup
+	cp -ivp src/Makefile.in src/Makefile.in.backup
+	cp -ivp src/icons/Makefile.in src/icons/Makefile.in.backup
+	cp -ivp src/ui/Makefile.in src/ui/Makefile.in.backup
+	dh_autoreconf
 	CFLAGS="$(CFLAGS)" ./configure $(confflags) --prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc --disable-silent-rules
 
 build: build-arch build-indep
@@ -65,6 +86,14 @@
 clean: 
 	dh_testdir
 	dh_testroot
+	dh_autoreconf_clean
+	[ -f missing ] || mv -f missing.backup missing
+	[ -f compile ] || mv -f compile.backup compile
+	[ -f install-sh ] || mv -f install-sh.backup install-sh
+	[ -f ltmain.sh ] || mv -f ltmain.sh.backup ltmain.sh
+	[ -f depcomp ] || mv -f depcomp.backup depcomp
+#[ -f Makefile.in ] || cp -v Makefile.in.backup Makefile.in
+
 	rm -f build-stamp config.log
 
 	# Cleaning package
@@ -77,6 +106,22 @@
 	[ ! -f config.guess.upstream ] || mv -f config.guess.upstream config.guess
 	[ ! -f config.sub.upstream ] || mv -f config.sub.upstream config.sub
 
+	[ ! -f Makefile.in.backup ] || mv -f Makefile.in.backup Makefile.in
+	[ ! -f aclocal.m4.backup ] || mv -f aclocal.m4.backup aclocal.m4
+	[ ! -f configure.backup ] || mv -f configure.backup configure
+	[ ! -f data/Makefile.in.backup ] || mv -f data/Makefile.in.backup data/Makefile.in
+	[ ! -f data/appdata/Makefile.in.backup ] || mv -f data/appdata/Makefile.in.backup data/appdata/Makefile.in
+	[ ! -f data/icons/256x256/Makefile.in.backup ] || mv -f data/icons/256x256/Makefile.in.backup data/icons/256x256/Makefile.in
+	[ ! -f data/icons/256x256/apps/Makefile.in.backup ] || mv -f data/icons/256x256/apps/Makefile.in.backup data/icons/256x256/apps/Makefile.in
+	[ ! -f data/icons/48x48/Makefile.in.backup ] || mv -f data/icons/48x48/Makefile.in.backup data/icons/48x48/Makefile.in
+	[ ! -f data/icons/48x48/apps/Makefile.in.backup ] || mv -f data/icons/48x48/apps/Makefile.in.backup data/icons/48x48/apps/Makefile.in
+	[ ! -f data/icons/Makefile.in.backup ] || mv -f data/icons/Makefile.in.backup data/icons/Makefile.in
+	[ ! -f data/icons/scalable/Makefile.in.backup ] || mv -f data/icons/scalable/Makefile.in.backup data/icons/scalable/Makefile.in
+	[ ! -f data/icons/scalable/apps/Makefile.in.backup ] || mv -f data/icons/scalable/apps/Makefile.in.backup data/icons/scalable/apps/Makefile.in
+	[ ! -f help/Makefile.in.backup ] || mv -f help/Makefile.in.backup help/Makefile.in
+	[ ! -f src/Makefile.in.backup ] || mv -f src/Makefile.in.backup src/Makefile.in
+	[ ! -f src/icons/Makefile.in.backup ] || mv -f src/icons/Makefile.in.backup src/icons/Makefile.in
+	[ ! -f src/ui/Makefile.in.backup ] || mv -f src/ui/Makefile.in.backup src/ui/Makefile.in
 	dh_clean
 
 install: build
@@ -110,6 +155,14 @@
 	install -d -m 0755 debian/goobox/usr/share/icons
 	#mv debian/goobox/usr/share/pixmaps/goobox.png debian/goobox/usr/share/icons
 
+	# Install logcheck pattern
+	install -D -m 0644 debian/logcheck debian/goobox/etc/logcheck/ignore.d.workstation/goobox
+
+	# Install NEWS as per policy 4.2.0 (and remove later upstream changelog)
+	# install -m 755 NEWS debian/goobox/usr/share/doc/goobox
+	# gzip -9 debian/goobox/usr/share/doc/goobox/NEWS
+	# rm -f debian/goobox/usr/share/doc/goobox/changelog.gz
+
 	# Install lintian overrides
 	dh_lintian
 
@@ -118,7 +171,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog debian/changelog.classic
+	dh_installchangelogs NEWS
 	dh_installdocs
 	dh_install
 	#dh_installmenu
@@ -132,7 +185,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb -- -Zxz
+	dh_builddeb
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
