## goobox 3.5.1

=== debian/changelog ===
goobox (3.5.1-6) unstable; urgency=medium

  * Updated Japanese man page by victory, fixing CR+LF. 

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 10 Feb 2019 08:17:46 +0100

goobox (3.5.1-5) unstable; urgency=medium

  * Update po/id.po from upstream git. 
  * Update po/hu.po from upstream git.
  * Update po/eu.po from upstream git.
  * Add French man page, thanks Jean-Pierre Giraud. Closes: #920590.
  * Add Japanese man page, thanks victory.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 03 Feb 2019 20:23:33 +0100

goobox (3.5.1-4) unstable; urgency=medium

  * Remove further trailing whitespace. 
  * Update po/da.po from upstream git.
  * Fix build of Portuguese man page.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 26 Jan 2019 15:15:00 +0100

goobox (3.5.1-3) unstable; urgency=medium

  * Update from upstream git to make more strings translatable.
  * Update po/de.po from upstream git.
  * Update po/pl.po from upstream git.
  * Update po/cs.po from upstream git.
  * Update po/es.po from upstream git.
  * Update po/fi.po from upstream git.
  * Update po/ro.po from upstream git.
  * Update po/sv.po from upstream git.
  * Add help/pt_BR/pt_BR.po from upstream git.
  * Add Portuguese man page, thanks to Américo Monteiro. Closes: #919126.
  * Update watch file and use secure http.
  * Remove trailing whitespace (thanks linitian).
  * Update copyright including fixes noted by lintian.
  * Update lintian overrides.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 19 Jan 2019 10:04:00 +0100

goobox (3.5.1-2) unstable; urgency=medium

  * Prepare for release to unstable.
  * Further improve debian/copyright.
  * Update po/de.po from upstream git.
  * Update po/sv.po from upstream git.
  * Improve logcheck pattern.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 12 Jan 2019 11:46:18 +0100

goobox (3.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Switch to pure dh based rules.
  * Upgrade to policy 4.2.1, no changes required.
  * Switch to debhelper compat level 12.

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 07 Jan 2019 19:40:17 +0100
