=== debian/watch ===
# watch control file for uscan

version=3
https://ftp.gnome.org/pub/GNOME/sources/goobox/3.5/goobox-(.*)\.tar\.xz
