=== debian/changelog ===
goobox (3.6.0-16) unstable; urgency=medium

  * QA upload
  * Remove old obsolete debian/rules.old & debian/README.source
    that showed up in QA efforts.
  * Trim d/rules with newer syntax

 -- Alexandre Detiste <tchet@debian.org>  Sun, 14 Sep 2025 10:03:01 +0200

goobox (3.6.0-15) unstable; urgency=medium

  * QA upload
  * debian/control:
    - Drop BD on libcoverart-dev to enable RM of libcoverart
    - Remove obsolete Build-Depends
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Sep 2025 21:46:59 +0200

goobox (3.6.0-14) unstable; urgency=medium

  * QA upload.
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.7.0.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
    Changes-By: lintian-brush
    Fixes: lintian: tab-in-license-text
    See-also: https://lintian.debian.org/tags/tab-in-license-text.html
  * Update renamed lintian tag names in lintian overrides.
    Changes-By: lintian-brush
    Fixes: lintian: renamed-tag
    See-also: https://lintian.debian.org/tags/renamed-tag.html
  * Fix mismatched lintian overrides

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 13 Jul 2024 18:03:06 +0200

goobox (3.6.0-13) unstable; urgency=medium

  * Orphananing goobox, setting maintainer to Debian QA Group.
  * Update my copyright.
  * Explain one more (false) lintian warning.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 16 Jun 2024 05:44:43 +0200

goobox (3.6.0-12) unstable; urgency=medium

  * Recode de.po into UTF-8. Fixes FTBFS with recent po4a. Closes: #1072594
  * Upgrade to policy 4.7.0, no changes required.
  * Re-add versioned build dependency on dpkg-dev as required by policy.
  * Improve lintian override.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 08 Jun 2024 11:58:36 +0200

goobox (3.6.0-11) unstable; urgency=medium

  * Update Russian translation.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 08 Apr 2023 09:26:46 +0200

goobox (3.6.0-10) unstable; urgency=medium

  * Update Friulian translation.
  * Update my copyright.
  * Upgrade to policy 4.6.2, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Thu, 02 Feb 2023 18:27:38 +0100

goobox (3.6.0-9) unstable; urgency=medium

  * Upgrade to policy 4.6.0, really, no changes required.
  * Remove minimum versions for build dependencies which are satisfied in
    stable already.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 29 May 2022 15:37:19 +0200

goobox (3.6.0-8) unstable; urgency=medium

  * Upgrade to policy 4.6.0, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 29 May 2022 14:30:29 +0200

goobox (3.6.0-7) unstable; urgency=medium

  * Homepage no longer present, confirmed by upstream.
  * Improve debian/copyright (thanks lintian).
  * Upgrade to policy 4.6.0, no changes required.
  * Fix spelling in debian/copyright.
  * Switch to debhelper compat level 13.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 07 May 2022 17:44:46 +0200

goobox (3.6.0-6) unstable; urgency=medium

  * Update po/zh_CN.po from upstream git.

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 26 May 2021 19:52:59 +0200

goobox (3.6.0-5) unstable; urgency=medium

  * Update homepage. Closes: #981591.

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 03 Feb 2021 18:32:43 +0100

goobox (3.6.0-4) unstable; urgency=medium

  * Rebuild as po4a is now fixed, to get 100% translated manpages.
    Requires a little massaging on the build and the po files.
  * Add debian/upstream/metadata.
  * Lintian fixes
    - Remove COPYING from debian/copyright
    - Add Patch headers
    - Add two small autopkg tests
  * Fix typo in debian/rules.
  * Update my copyright.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 31 May 2020 21:18:01 +0200

goobox (3.6.0-2) unstable; urgency=medium

  * Add po/uk.po from upstream git.
  * Update po/ja.po from upstream git.
  * Upgrade to policy 4.5.0, no changes required.

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 08 Apr 2020 09:39:02 +0200

goobox (3.6.0-1) unstable; urgency=medium

  * New upstream release. All patches except enhance_desktopfile.patch are now
    included.
  * Update watch file.
  * Remove further trailing whitespace.
  * Upgrade to policy 4.4.0, no changes required.
  * Update po/sr.po from upstream git.

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 04 Oct 2019 18:45:00 +0200
