=== debian/control ===
Source: goobox
Section: gnome
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-to-man,
               docbook-xml,
               intltool,
               itstool,
               libbrasero-media3-dev,
               libcam-dev [kfreebsd-any],
               libdiscid-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libmusicbrainz5-dev,
               libneon27-dev,
               libnotify-dev,
               libxml2-utils,
               meson,
               po4a,
               recode,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/goobox
Vcs-Git: https://salsa.debian.org/debian/goobox.git

Package: goobox
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: default-dbus-session-bus | dbus-session-bus,
            yelp,
Suggests: gstreamer1.0-plugins-ugly,
Description: CD player and ripper with GNOME 3 integration
 Goobox is an CD player and ripper for the GNOME 3 environment. It follows the
 "Just Works" principle so its interface is beautiful and easy-to-use.
 .
 It uses GNOME/GTK+ for its user interface, GStreamer framework for CD playing,
 and ripping operations, musicbrainz for CD indexing, and Google to search
 for album cover images.
