=== debian/tests/control ===
tests: checkhelp
Depends: bash,
         coreutils,
         @,
